// novaPrintDlg.h : header file
//

#pragma once

//Include novaPDF headers
#include "..\..\..\include\novaOptions.h"

//NovaPdfOptions
#include "..\..\..\include\novapi.h"

// CnovaPrintDlg dialog
class CnovaPrintDlg : public CDialog
{
// Construction
public:
	CnovaPrintDlg(CWnd* pParent = NULL);	// standard constructor
	virtual ~CnovaPrintDlg();	            // destructor

// Dialog Data
	enum { IDD = IDD_NOVAPRINT_DIALOG };

//{{AFX_MSG(CScribbleView) 
afx_msg LRESULT OnNovaPDFFileSaved(WPARAM wParam, LPARAM lParam); 
afx_msg LRESULT OnNovaPDFPrintError(WPARAM wParam, LPARAM lParam); 
//}}AFX_MSG 

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	void UpdateDialogFromProfile(LPWSTR pstrProfileId);
	void UpdateProfileFromDialog();
private :
	INovaPdfOptions90 *m_novaOptions;
public:
	BOOL m_bCompress;
	BOOL m_bEmbed;
	BOOL m_bDetect;
	CString m_strTitle;
	CString m_strSubject;
	CString m_strPdfFile;
	CString m_strFileToConvert;
	LPWSTR  m_strProfileId;
	BOOL    m_bPrintJobPending; // set to true when a print job is pending
	LPWSTR  m_wsProfileSmall;
	LPWSTR  m_wsProfileFull;
	afx_msg void OnBnClickedOk();
	afx_msg void OnCbnSelchangeCmbProfiles();
	afx_msg void OnBnClickedBtnBrowse();
	afx_msg void OnBnClickedCancel();
};

